Name:           GtkAda
Version:        2.14.0
Release:        4%{?dist}
Summary:        Ada graphical toolkit based on Gtk+
Group:          System Environment/Libraries
License:        GPLv2+
URL:            https://libre.adacore.com/GtkAda/
# Source is available, but requires registration
Source:         GtkAda-gpl-%{version}.tgz
Patch0:         GtkAda-gtk217.patch
# Patch to make project files use fedora-gnat-project-common:
Patch1:         GtkAda-2.14.0-multilib_gpr.patch
# Patch to make gtkada-config use uname:
Patch2:         GtkAda-2.14.0-multilib_gtkada-config.patch
# Patch to fix implicit DSO linking:
Patch3:         GtkAda-2.14.0-lm.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  gcc-gnat
BuildRequires:  libgnat
BuildRequires:  perl
BuildRequires:  gtk2-devel
BuildRequires:  libgnome-devel
BuildRequires:  libgnomeui-devel
BuildRequires:  libgnomecanvas-devel
BuildRequires:  bonobo-activation-devel
BuildRequires:  libbonoboui-devel
BuildRequires:  libglade2-devel
BuildRequires:  libGL-devel
BuildRequires:  libGLU-devel
BuildRequires:  GConf2-devel
BuildRequires:  texinfo-tex
BuildRequires:  texinfo
BuildRequires:  tetex
BuildRequires:  tetex-dvips
BuildRequires:  fedora-gnat-project-common

%description
GtkAda is an Ada graphical toolkit based on Gtk+. It allows you to
develop graphical applications in Ada using Gtk+.


%package devel
Summary:        Development files for GtkAda
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       %{name}-gnome = %{version}-%{release}
Requires:       %{name}-glade = %{version}-%{release}
Requires:       %{name}-gl = %{version}-%{release}
Requires:       perl
Requires:       gtk2-devel
Requires:       pkgconfig
Requires:       fedora-gnat-project-common

%description devel
Development files for GtkAda.


%package gnome
Summary:        GNOME bindings of GtkAda
Group:          Development/Libraries

%description gnome
%{summary}.


%package glade
Summary:        Glade bindings of GtkAda
Group:          Development/Libraries

%description glade
%{summary}.


%package gl
Summary:        OpenGL bindings of GtkAda
Group:          Development/Libraries

%description gl
%{summary}.


%package doc
Summary:        Documentation for GtkAda
Group:          Documentation
Requires:       %{name}-devel = %{version}-%{release}
BuildArch:      noarch

%description doc
Documentation for GtkAda.


%prep
%setup -q -n %{name}-%{version}
%patch0 -p1 -b .gtk217
%patch1
%patch2
%patch3
# Replace "/usr/lib" with the appropriate architecture-specific directory, but
# make an exception for "/usr/lib/gnat". Keep "$(prefix)" so that makeinstall
# can insert the buildroot.
sed -i -e 's|$(prefix)|${prefix}|g' -e 's|${prefix}/lib/gnat|$(prefix)/lib/gnat|g' -e 's|${prefix}/lib|$(libdir)|g' projects/Makefile
sed -i "s|\$prefix/lib|%{_libdir}|" projects/generate_prj.sh
sed -i "s|@prefix@/lib|@prefix@/%{_lib}|" projects/gtkada.pc.in
find -name .cvsignore | xargs rm -fr

%build
# adapt opt flags to gnatmake
GNAT_RPM_OPT_FLAGS=`echo $RPM_OPT_FLAGS | sed 's|--param=ssp-buffer-size=4||'`
sed -i "s|GNATFLAGS =|GNATFLAGS = $GNAT_RPM_OPT_FLAGS |" src/Makefile.common*
%configure --enable-build=Debug
sed -i 's|--param=ssp-buffer-size=4||' testgtk/Makefile
make incdir=%{_includedir}/gtkada alidir=%{_libdir}/gtkada
make -C docs


%install
rm -rf $RPM_BUILD_ROOT
%makeinstall incdir=$RPM_BUILD_ROOT%{_includedir}/gtkada alidir=$RPM_BUILD_ROOT%{_libdir}/gtkada
(make -C docs install prefix=$PWD/doc-install)

# move shared libraries to standard place
rm -rf $RPM_BUILD_ROOT%{_libdir}/lib*
mv $RPM_BUILD_ROOT%{_libdir}/gtkada/relocatable/lib* $RPM_BUILD_ROOT%{_libdir}

# make libraries executables, otherwise dependencies are not found
chmod 0755 $RPM_BUILD_ROOT%{_libdir}/lib*.so.*

mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
(cd docs; install -m 0644 gate.1 gtkada-config.1 $RPM_BUILD_ROOT%{_mandir}/man1)

# this conflicts with gdialog from gnome-utils
rm -f $RPM_BUILD_ROOT%{_bindir}/gdialog

rm -rf $RPM_BUILD_ROOT%{_datadir}/doc
rm -rf $RPM_BUILD_ROOT%{_datadir}/examples


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%post gnome -p /sbin/ldconfig

%postun gnome -p /sbin/ldconfig


%post gl -p /sbin/ldconfig

%postun gl -p /sbin/ldconfig


%post glade -p /sbin/ldconfig

%postun glade -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%{_libdir}/libgtkada-*.so.*
%doc AUTHORS COPYING README


%files gnome
%defattr(-,root,root,-)
%{_libdir}/libgnomeada-*.so.*


%files gl
%defattr(-,root,root,-)
%{_libdir}/libgtkada_gl-*.so.*


%files glade
%defattr(-,root,root,-)
%{_libdir}/libgtkada_glade-*.so.*


%files devel
%defattr(-,root,root,-)
%{_bindir}/*
%{_includedir}/gtkada
%{_libdir}/gtkada
%{_GNAT_project_dir}/*
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*
%{_datadir}/gps
%{_mandir}/man*/*
%doc known-problems


%files doc
%defattr(-,root,root,-)
%doc examples
%doc doc-install/share/doc/gtkada/*


%changelog
* Sun Feb 14 2010 Björn Persson <bjorn@rombobjörn.se> - 2.14.0-4
- Link testgtk to libm explicitly.

* Mon Nov 30 2009 Björn Persson <bjorn@rombobjörn.se> - 2.14.0-3
- Enabled debug information.

* Sun Nov 29 2009 Björn Persson <bjorn@rombobjörn.se> - 2.14.0-2
- Fixed project files and gtkada-config for multilib systems.
- Marked the doc subpackage as noarch.

* Sun Aug  9 2009 Gerard Milmeister <gemi@bluewin.ch> - 2.14.0-1
- new release 2.14.0

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.10.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.10.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Dec 13 2008 Gerard Milmeister <gemi@bluewin.ch> - 2.10.2-1
- new release 2.10.2

* Wed Jan 30 2008 Michel Salim <michel.sylvan@gmail.com> - 2.10.0-4
- Add missing BRs on gtk2-devel and pkgconfig

* Tue Jan 29 2008 Michel Salim <michel.sylvan@gmail.com> - 2.10.0-3
- Make gtkada.pc use _libdir
- Fix URL and source fields

* Sat Jan  5 2008 Gerard Milmeister <gemi@bluewin.ch> - 2.10.0-2
- exclude arch ppc64

* Sat Jan  5 2008 Gerard Milmeister <gemi@bluewin.ch> - 2.10.0-1
- new release 2.10.0
- documentation in separate package

* Fri Jan  5 2007 Gerard Milmeister <gemi@bluewin.ch> - 2.8.0-7
- reenabled ppc

* Sat Oct 21 2006 Gerard Milmeister <gemi@bluewin.ch> - 2.8.0-5
- new version 2.8.0

* Mon Aug 28 2006 Gerard Milmeister <gemi@bluewin.ch> - 2.4.0-13
- Rebuild for FE6

* Mon Mar 27 2006 Gerard Milmeister <gemi@bluewin.ch> - 2.4.0-12
- BuildReq texinfo -> texinfo-tex

* Fri Feb 17 2006 Gerard Milmeister <gemi@bluewin.ch> - 2.4.0
- Rebuild for Fedora Extras 5

* Thu Feb  2 2006 Gerard Milmeister <gemi@bluewin.ch> - 2.4.0-10
- remove "--param=ssp-buffer-size=4" from gnatmake command line

* Wed Feb  1 2006 Gerard Milmeister <gemi@bluewin.ch> - 2.4.0-9
- patch to handle all cases

* Thu May 12 2005 Thorsten Leemhuis <fedora[AT]leemhuis.info> 2.4.0-6
- Add excludearch ppc ppc64 (no gcc-gnat currently for those) #157550

* Tue May 10 2005 Thorsten Leemhuis <fedora[AT]leemhuis.info> 2.4.0-5
- Remove excludearch x86_64 (gcc-gnat now in FC4 for x86_64)
- BR textinfo, tetex-dvips

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net> 2.4.0-4
- rebuilt

* Sun Feb 13 2005 Gerard Milmeister <gemi@bluewin.ch> - 0:2.4.0-3
- Excluded arch x86_64

* Sat Feb 12 2005 Gerard Milmeister <gemi@bluewin.ch> - 0:2.4.0-2
- Removed touching /usr/include/gtkada/*

* Sat Jan 22 2005 Gerard Milmeister <gemi@bluewin.ch> - 0:2.4.0-0.fdr.1
- New Version 2.4.0

* Sat May 29 2004 Gerard Milmeister <gemi@bluewin.ch> - 0:2.2.1-0.fdr.2
- Replaced XFree86 reference with xorg

* Fri Nov 21 2003 Gerard Milmeister <gemi@bluewin.ch> - 0:2.2.1-0.fdr.1
- New Version 2.2.1

* Mon Nov 10 2003 Gerard Milmeister <gemi@bluewin.ch> - 0:2.2.0-0.fdr.5
- Work around to compiler bug

* Tue Oct 28 2003 Gerard Milmeister <gemi@bluewin.ch> - 0:2.2.0-0.fdr.3
- Better placing of documentation files

* Mon Oct 27 2003 Gerard Milmeister <gemi@bluewin.ch> - 0:2.2.0-0.fdr.2
- Improved specfile

* Sun Oct 26 2003 Gerard Milmeister <gemi@bluewin.ch> - 0:2.2.0-0.fdr.1
- First Fedora release
